package main

import (
	"book-tools/internal/app"
	"book-tools/internal/config"
	"book-tools/internal/storage"
	"log"

	"github.com/joho/godotenv"
)

func main() {
	_ = godotenv.Load() // не паникуем, если файла нет

	cfg, err := config.Load()
	if err != nil {
		log.Fatalf("Ошибка загрузки конфига: %v", err)
	}

	db, err := storage.NewSQLite(cfg.DBPath)
	if err != nil {
		log.Fatalf("Не удалось открыть базу: %v", err)
	}

	app := app.NewApp(cfg, db)
	if err := app.Run(); err != nil {
		log.Fatalf("Ошибка в приложении: %v", err)
	}
}
